Bug 1495378 - Still tries to connect to pkgs.fedoraproject.org
Summary: Still tries to connect to pkgs.fedoraproject.org
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fedpkg
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 00:12 UTC by Stephen John Smoogen
Modified: 2018-08-27 13:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-27 13:50:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephen John Smoogen 2017-09-26 00:12:57 UTC
Description of problem:

[smooge@smoogen-laptop ~]$ fedpkg clone vim
Cloning into 'vim'...
The authenticity of host 'pkgs.fedoraproject.org (<no hostip for proxy command>)' can't be established.
RSA key fingerprint is SHA256:Q12OTyTeOHWlS54dTzy2BNu7wB8UKNf18+7WHIDsORc.
Matching host key fingerprint found in DNS.
RSA key fingerprint is MD5:fe:2e:6a:86:f3:41:e7:03:95:ea:9c:7f:75:9c:ce:9d.
Matching host key fingerprint found in DNS.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'pkgs.fedoraproject.org' (RSA) to the list of known hosts.
remote: Counting objects: 15255, done.
remote: Compressing objects: 100% (11316/11316), done.
remote: Total 15255 (delta 6659), reused 9903 (delta 3926)
Receiving objects: 100% (15255/15255), 11.16 MiB | 2.54 MiB/s, done.
Resolving deltas: 100% (6659/6659), done.


fedpkg seems to connect to pkgs.fedoraproject.org for https and ssh which causes problems because pkgs is now src.fedoraproject.org



Additional info:

Comment 1 Stephen John Smoogen 2017-09-26 00:16:42 UTC
<nirik> 'fedpkg clone' will use ssh. 'fedpkg clone -a'  should use https://src. but uses git://pkgs

Comment 2 Stephen John Smoogen 2017-09-26 00:17:40 UTC
[smooge@fedora25 fedora-scm]$ fedpkg clone -a vim
Cloning into 'vim'...
fatal: unable to connect to pkgs.fedoraproject.org:
pkgs.fedoraproject.org[0: 209.132.181.4]: errno=No route to host

Could not execute clone: Command '['git', 'clone', 'git://pkgs.fedoraproject.org/rpms/vim', '--origin', 'origin']' returned non-zero exit status 128

Comment 3 cqi 2018-08-19 14:02:04 UTC
Still happen to you with latest fedpkg?

Comment 4 Stephen John Smoogen 2018-08-27 13:50:07 UTC
Thanks. It is now working.


Note You need to log in before you can comment on or make changes to this bug.